<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.body">var.body</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;ResultSets>&lt;resultSet>&lt;rowd>&lt;ID>343242&lt;/ID>&lt;/rowd>&lt;/resultSet>&lt;/ResultSets></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1542794320312</Property>
		<Property name="ISWorkflowName">VAM_am_070_customIdToId</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">549</Property>
		<Property name="ISProcessId">7085986</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">2651039</Property>
		<Property name="ISInvokingWorkflow">VAM_am_028_updateAsset</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_020_getAsset</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1506078469071&lt;/startTimestamp>&lt;method>get&lt;/method>&lt;parameters>&lt;id>761&lt;/id>&lt;/parameters>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>Power User&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>ckTEST&lt;/displayName>&lt;name>ckTEST&lt;/name>&lt;configuration>&lt;am>
    &lt;overviews>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;singleTemplateMode>
          &lt;templateId>21&lt;/templateId>
        &lt;/singleTemplateMode>
        &lt;information>
          &lt;de>Hier gibt es nur deutschen Text.&lt;/de>
        &lt;/information>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;singleTemplateMode>
          &lt;templateId>22&lt;/templateId>
        &lt;/singleTemplateMode>
        &lt;information>
          &lt;en>The authorization logic in the Javascript client is currently much less fine-grained. This reflects that not all combinations are sensible: nothing is possible (if any 'query' or 'get' permission for 'template', 'asset', 'query' or 'person' is missing)
access - i.e., the asset management UI appears at all.
three rights for creating, editing and deleting assets (determined from the permissions above) - even here, it appears strange to allow creating without editing.
two rights for creating and editing persons (determined from the permission above) - currently persons cannot be deleted at all."&lt;/en>
        &lt;/information>
      &lt;/overview>
    &lt;/overviews>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
		<Property name="hiddenIncluded">true</Property>
		<Property name="var.customId">761-167</Property>
		<Property name="var.body" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;customId>asdada&lt;/customId>&lt;templateId>1&lt;/templateId>&lt;/body></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.body" as="element()"/>
  &lt;xsl:template match="/">&lt;xsl:variable name="var.Row" select="/ResultSets/resultSet/row" as="element()?"/>&lt;xsl:for-each select="$var.body">&lt;xsl:copy>&lt;xsl:choose>&lt;xsl:when test="exists(asset)">&lt;xsl:copy-of select="*[not(self::asset)]"/>&lt;asset>&lt;id>&lt;xsl:value-of select="$var.Row/ID"/>&lt;/id>&lt;xsl:copy-of select="asset/*[not(self::id)]"/>&lt;/asset>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:copy-of select="*[not(self::id)]"/>&lt;xsl:if test="exists($var.Row)">&lt;id>&lt;xsl:value-of select="$var.Row/ID"/>&lt;/id>&lt;/xsl:if>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:copy>&lt;/xsl:for-each>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>